﻿@model InformationFamilyInvoiceViewModel
@{
    Layout = null;
}

<div class="view-container confirm-family-invoice" id="invoice-data" style="min-width: 100%;">
    <div class="title-bar">
        <div class="back">
            <a class="action" data-ng-click="cancelAction()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Create Invoice
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>

    <div class="grid fluid">
        <div class="row">
            <div class="span6">
                <div class="row">
                    <div class="span12">
                        <img class="logo-club" ng-src="{{InfoModel.ClubUrlLogo}}" />
                    </div>
                </div>
                <div class="row">
                    <div class="span12">
                        <div class="content-invoice">
                            <span class="block margin-one-row" ng-if="InfoModel.ClubName!=InfoModel.MemberName && InfoModel.HasPartner==true">
                                {{InfoModel.ClubName}}
                            </span>
                            <span class="block  margin-one-row ">
                               {{InfoModel.MemberName}}
                            </span>
                            <span class="block">
                                {{InfoModel.ClubAddress}}
                            </span>
                            <span class="block">
                                {{InfoModel.ContactClubEmail}}
                            </span>
                            <span class="block">
                                {{InfoModel.ClubSite}}
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="span6">
                <div class="row">
                    <div class="span6 inline-form-text  req-star"> Invoice #</div>
                    <div class="span4">
                        <div class="input-control text" data-role="input-control" style="cursor:default" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.infoModel.InvoiceNumber'].Messages)}">
                            <input ng-model="InfoModel.InvoiceNumber" id="@Html.Ang(m => m.InvoiceNumber)"  @Html.AngTooltipValidation("infoModel.InvoiceNumber") />
                        </div>
                    </div>
                    <div class="span2">
                        <div style="display:inline-block;position:relative">
                            <i class="jbi-info on-left-more info-icongray"></i>
                            <div class="box-msg">
                                Invoices are numbered automatically beginning with invoice number 1. You can change the invoice number and the next number will increment by 1.
                            </div>
                        </div>

                    </div>
                </div>
                <div class="row">
                    <div class="span6 inline-form-text">Reference </div>
                    <div class="span4">
                        <div class="input-control text">
                            <input ng-model="InfoModel.Refrense" type="text" />
                        </div> 
                    </div>
                    <div class="span2">

                    </div>
                </div>
                <div class="row">
                    <div class="span6 inline-form-text">Due date</div>
                    <div class="span4" data-role="input-control" >
                        <div class="input-control select" data-role="input" >
                            <select ng-options="obj.Value as obj.Text for obj in InfoModel.InvoiceDueDate" ng-model="InfoModel.SelectDueDate"></select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <hr />
        <div class="row">
            <div style="display:table;">
                <div style="display:table-row">
                    <div style="display:table-cell;text-align:right;font-size:16px">
                        <span>
                            Bill to
                        </span>
                    </div>
                    <div style="display:table-cell">
                        <div class="input-control text">
                            <label style="margin-left:10px;">{{InfoModel.UserName}}</label>
                        </div>
                    </div>
                </div>
                <div style="display:table-row">
                    <div style="display:table-cell;text-align:right;font-size:16px">
                        <span>
                            Cc
                        </span>
                    </div>
                    <div style="display:table-cell">
                        <div class="input-control text" data-role="input-control" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.infoModel.EmailCc'].Messages)}">
                            <input ng-model="InfoModel.EmailCc" type="text" style="width:300px;margin-left:10px" id="@Html.Ang(m => m.EmailCc)" @Html.AngTooltipValidation("infoModel.EmailCc") />
                        </div>                  
                    </div>
                </div>


            </div>

        </div>
        
    </div>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead style="background-color: rgb(27,129,192);color:#fff;">
                <tr>
                    <td style="width: 30px;max-width:30px;min-width:30px;"></td>
                    <th class="text-left" style="width: 334px;max-width: 334px;min-width:334px;">Date</th>
                    <th class="text-left" style="width: 172px;max-width: 172px;min-width:172px;">Confirmation</th>
                    <th class="text-right" style="width: 136px;max-width:136px;min-width:136px;">Amount</th>
                    <th class="text-right" style="width: 95px;max-width:95px;min-width:95px;">Paid</th>
                    <th class="text-right" style="width: 134px;max-width:134px;min-width:134px;">Balance</th>
                    <th class="text-right" style="width: 237px;max-width:237px;min-width:237px;padding-right:14px;">Invoice amount</th>
                </tr>
            </thead>
            <tbody>

                <tr ng-repeat-start="order in Model | filter: {Checked: true}" role="row">
                    <td>

                        <button style="width: 13px;height: 14px;line-height: 0;padding: 0;display: inline-block;border-radius:3px;border-color:#a09a9a" ng-if="order.expanded " ng-click="order.expanded = false;" ng-checked="false">-</button>
                        <button style="width: 13px;height: 14px;line-height: 0;padding: 0;display: inline-block;border-radius:3px;border-color:#a09a9a" ng-if="!order.expanded " ng-click="order.expanded = true;" ng-checked="true">+</button>
                    </td>

                    <td>{{order.StrOrderDate}}</td>
                    <td>{{order.ConfirmationId}}</td>
                    <td class="text-right">{{(order.OrderAmount).formatCurrencyWithPenny(2)}}</td>
                    <td class="text-right">{{(order.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                    <td class="text-right">
                        <label style="color:red;margin:0;" ng-if="order.Balance>0">{{(order.Balance).formatCurrencyWithPenny(2)}}</label>
                        <label style="color:green;margin:0;" ng-if="order.Balance<0">{{(order.Balance).formatCurrencyWithPenny(2)}}</label>
                    </td>

                    <td class="text-right" style="padding-right:14px;"><span type="number" ng-value="(order.Balance)" ng-readonly="true" />{{(order.InvoiceAmount).formatCurrencyWithPenny(2)}}</td>
                </tr>

                <tr ng-if="order.expanded" ng-repeat-end="" style="display: table-row;">

                    <td class="k-hierarchy-cell"></td>

                    <td class="k-detail-cell" colspan="6">
                        <table class="tbl-fullsize">
                            <tr style="background-color:rgb(208, 230, 243);width: 516px;">
                                <th style="width:30px;"></th>
                                <th class="text-left" style="color:black;width: 296px; max-width: 296px;min-width:296px;">Participant</th>
                                <th class="text-left" style="color:black;width: 172px; max-width: 172px;min-width:172px;">Program name</th>
                                <th class="text-right" style="color:black;width: 135px; max-width: 135px;min-width:135px;">Amount</th>
                                <th class="text-right" style="color:black;width: 97px; max-width: 97px;min-width:97px;">Paid</th>
                                <th class="text-right" style="color:black;width: 130px; max-width: 130px;min-width:130px;">Balance</th>
                                <th class="text-right" style="color:black;width: 232px; max-width: 232px;min-width:232px;">Invoice amount</th>
                            </tr>


                            <tr ng-repeat-start="orderItem in OrderitemModel[order.Id] | filter: {Checked: true }" role="row">
                                <td></td>
                                <td>{{orderItem.Attendee}} <span class="grid-label label warning" ng-show="orderItem.IsCancel==true">Canceled</span></td>
                                <td>{{orderItem.ProgramName}}</td>
                                <td class="text-right">{{(orderItem.EntryFee).formatCurrencyWithPenny(2)}}</td>
                                <td class="text-right">{{(orderItem.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                                <td class="text-right">
                                    <label style="color:red;margin:0;" ng-if="orderItem.Balance>0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</label>
                                    <label style="color:green;margin:0;" ng-if="orderItem.Balance<0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</label>
                                    <label style="color:black;margin:0;" ng-if="orderItem.Balance==0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</label>
                                </td>
                                <td class="text-right">
                                    <span ng-if="(orderItem.Balance)>0 && orderItem.PaymentplanType=='Installment'">{{(orderItem.InvoiceAmount).formatCurrencyWithPenny(2)}}</span>
                                    <span ng-if="(orderItem.Balance)>0 && orderItem.PaymentplanType!='Installment'">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</span>
                                </td>
                            </tr>
                            <tr ng-if="orderItem.PaymentplanType=='Installment'" ng-repeat-end="" style="display: table-row;">
                                <td class="k-hierarchy-cell" colspan="0"></td>
                                <td class="k-detail-cell" colspan="6" style="padding:5px 0 !important;">
                                    <table class="tbl-sub">
                                        <tr style="background-color: rgba(225, 237, 247, 0.47);width: 516px;color:black;">
                                            <th style="width:30px;max-width:30px;min-width:30px;"></th>
                                            <th class="text-left" style="width:266px;max-width:266px;min-width:266px;">Due date</th>
                                            <th class="text-left" style="width:173px;max-width:173px;min-width:173px;">Paid on</th>
                                            <th class="text-right" style="width:133px;max-width:133px;min-width:133px;">Amount</th>
                                            <th class="text-right" style="width:96px;max-width:96px;min-width:96px;">Paid</th>
                                            <th class="text-right" style="width:131px;max-width:131px;min-width:131px;">Balance</th>
                                            <th class="text-right" style="width:230px;max-width:230px;min-width:230px;">Invoice amount</th>

                                        </tr>
                                        <tr ng-repeat="orderItemInstalment in orderItem.Installments | filter: {Checked: true}" role="row">
                                            <td></td>
                                            <td>{{orderItemInstalment.StrDueDate}}</td>
                                            <td>{{orderItemInstalment.StrPaidDate}}</td>
                                            <td class="text-right">{{(orderItemInstalment.Amount).formatCurrencyWithPenny(2)}}</td>
                                            <td class="text-right">{{(orderItemInstalment.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                                            <td class="text-right">
                                                <label style="color:red;margin:0;" ng-if="orderItemInstalment.Balance>0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</label>
                                                <label style="color:green;margin:0;" ng-if="orderItemInstalment.Balance<0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</label>
                                                <label style="color:black;margin:0;" ng-if="orderItemInstalment.Balance==0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</label>
                                            </td>
                                            <td class="text-right">
                                                <span ng-if="orderItemInstalment.Balance<=0">-</span>
                                                <span ng-if="orderItemInstalment.Balance >0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</span>
                                            </td>

                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>

            </tbody>
        </table>
    </div>

    <div class="grid fluid" >
        <div class="row table-amount-container">

            <div class="table-div table-amount">
                <div class="table-row">
                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                        <span class="txt-blod">
                            Subtotal
                        </span>
                    </div>
                    <div class="table-div-cel">
                        <span style="padding-left: 30px;"">
                            {{totalAmount.formatCurrencyWithPenny(2)}}
                        </span>
                    </div>
                </div>

                <div class="table-row">
                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                        <span class="txt-blod">
                            Total
                        </span>
                    </div>
                    <div class="table-div-cel">
                        <span style="padding-left: 30px;"">
                            {{totalAmount.formatCurrencyWithPenny(2)}}
                        </span>
                    </div>
                </div>
            </div>
        </div>
        <hr />
        <div class="row">
            <div class="span6">
                <label>Note to recipient</label>
                <div class="input-control textarea">
                    <textarea rows="3" cols="40" ng-model="InfoModel.NoteToRecipient"></textarea>
                </div>
            </div>
            <div class="span6">
                <label> Memo to self</label>
                <div class="input-control textarea">
                    <textarea rows="3" cols="40" ng-model="InfoModel.Memo"></textarea>
                </div>
            </div>
        </div>
    </div>
   
    <br />
    <div class="clearfix"></div>
    
    <div class="clearfix"></div>
    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Back</button>
    <button class="success place-right large button" ng-click="ConfirmInvoice()" id="ConfirmInvoice">Continue</button>


    <div class="clearfix"></div>
</div>
<script>
    jQuery(function ($) {
        $(".info-icongray").click(function () {
            $("~ .box-msg", this).slideToggle(500);
        });
    });
</script>